using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using TabControlEx.Models;

namespace TabControlEx.ViewModels
{
    public class ViewModel : INotifyPropertyChanged
    {
        public ObservableCollection<ListData> Data { get; set; }
        private string title;
        public string Title
        {
            get { return title; }
            set
            {
                if (title != value)
                {
                    title = value;
                    OnPropertyChanged("Title");
                }
            }
        }

        public ViewModel()
        {
            CreateData();
            Title = "ViewModel";

        }

        private string[] names = { "John", "Kim", "Sandy", "Mark", "Josh", "Jim", "Sam", "Mary", 
                                     "Harry", "Sue", "Chris", "Joe", "Carl" };
        private string[] recDescs = { "Test", "Duplicate", "Standard", "Trial", "Expired", "New", "History" };
        private void CreateData()
        {
            Random r = new Random();
            Data = new ObservableCollection<ListData>();
            for (int i = 0; i < 100; i++)
            {
                Data.Add(new ListData()
                {
                    ID = i,
                    Name = names[r.Next(13)],
                    RecDesc = recDescs[r.Next(7)],
                    RecDate = DateTime.Today.AddDays(r.Next(10))
                });
            }


        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
}
   